#include <iostream>

using namespace std;

int main()
{
    int a1,a2,i;
    char c1,c2;
    bool moguce=false;
    char b[2];
    cin >> b >> a1 >> a2;
    c1=b[0];
    c2=b[1];
    if(a1>=a2 && a1-a2<=1)
        moguce=true;
    else if(a2>a1 && a2-a1==1)
        moguce=true;
    if(a1<0 || a2<0) moguce=false;
    if(moguce)
    {
        if(a1<a2)
        {
            swap(a1,a2);
            swap(c1,c2);
        }
        for(i=0; i<a1+a2; i++)
        {
            if(i%2==0) cout << c1;
            else cout << c2;
        }
    }
    else
        cout << "nemoguce";
    
}